Как исправить ошибки «приложение повреждено, не может быть использовано для установки macOS»

Исправить копию Install MacOS, поврежденную и не могу использовать для установки macOS

Если вы недавно пытались использовать приложение-установщик MacOS, вы можете обнаружить сообщение об ошибке, в котором говорится что-то вроде «Эта копия приложения Install macOS Mojave.app повреждена и не может быть использована для установки macOS». Это предотвращает работу и запуск установщика macOS и по существу делает приложения установщика бесполезными.

Причиной этой ошибки является истек срок действия сертификата, и поскольку срок действия сертификата истек, приложение «Установить macOS» для Mojave, Sierra и High Sierra не запускается. К счастью, есть довольно простое решение проблемы «поврежденного» установщика.

Устранение сообщений об ошибках «Установить приложение MacOS повреждено, его нельзя использовать для установки MacOS» с помощью установщиков системы Mac OS

Самый простой способ решить «Эта копия приложения Install macOS .app повреждена и не может быть использована для установки macOS». заключается в том, чтобы повторно загрузить установщик с Apple, который содержит новый свежий сертификат, срок действия которого не истек. Ссылки ниже указывают на ресурсы Apple, где вы можете найти или загрузить обновленные установщики macOS для Mojave, High Sierra и Sierra:

Возможно, вам потребуется перезагрузить Mac после того, как вы загрузили новое установочное приложение (и действительный сертификат), особенно если вы уже запустили версию, которая показывала сообщение об ошибке, поврежденное приложением.

Если вы не загружаете новые версии этих приложений-установщиков macOS, вы, вероятно, столкнетесь с сообщениями об ошибках для каждого выпуска, если попытаетесь открыть или использовать установщик MacOS или даже загрузочный USB-накопитель, созданный с помощью одного из установщиков с истекшим сроком действия:

«Эта копия приложения Install macOS Mojave.app повреждена и не может быть использована для установки macOS».

Копия приложения Install MacOS Mojave повреждена и не может быть использована для установки macOS

«Эта копия приложения Install macOS High Sierra.app повреждена и не может быть использована для установки macOS».

«Эта копия приложения Install macOS Sierra.app повреждена и не может быть использована для установки macOS».

Если вы хотите увидеть подробности и сам сертификат с истекшим сроком действия, вы можете исследовать компоненты .pkg установщика MacOS с помощью таких инструментов, как Suspicious Package и pkgutil, которые могут отображать истекший сертификат, вызывающий сообщение об ошибке:

Срок действия сертификата для приложения MacOS Mojave Installer истек

Метод 2: изменение установщика приложения для исправления ошибок «Установка приложения MacOS повреждена»

Этот другой подход к разрешению «Приложение для установки MacOS повреждено, его нельзя использовать для установки MacOS» Сообщение об ошибке было оставлено читателем Ховардом в комментариях, и некоторым пользователям это тоже удалось:

Вы также можете исправить эту копию приложения Install macOS Mojave.app, которая повреждена и не может быть использована для установки macOS. сообщение вроде этого:

Шаг 1. Перейдите в папку «Приложения».

Шаг 2. Найдите установщик для macOS Mojave в папке «Приложения».

Шаг 3. Щелкните программу установки правой кнопкой мыши и выберите «Показать содержимое пакета».

Шаг 4. Щелкните папку «Содержание».

Шаг 5. Щелкните папку с именем «SharedSupport».

Шаг 6. Удалите файл с именем «InstallInfo.plist».

Шаг 7. Введите пароль администратора для подтверждения.

Шаг 8. Теперь снова откройте установщик MacOS Mojave, он запустится.

Если это не поможет, удалите установщик и повторно загрузите его с Apple.

Сообщите нам, сработал ли этот подход для вас в комментариях, или вы просто повторно загрузили установщик из Mac App Store.

Подобные проблемы случались с различными установщиками Mac OS в прошлом. Помимо повторной загрузки установщика, еще один вариант, о работе которого, как сообщают некоторые пользователи, позволяет обходить подобные сообщения об ошибках для установщиков (а иногда и приложений), устанавливает часы Mac назад во времени (в данном случае до октября 2019 года, когда срок действия сертификата истек, что делает приложение-установщик непригодным для использования), но, по-видимому, это не всегда работает с приложением Install MacOS Mojave. Это также не всегда практичное решение для настройки часов, особенно если вы планируете широко развертывать, использовать и архивировать приложения-установщики для различных выпусков MacOS и на другом оборудовании. Вместо этого просто повторно загрузите новые версии «Install macOS.app», которые вам требуются, и сохраните их.

Многие пользователи Mac любят поддерживать репозиторий установочных пакетов MacOS для более старых версий системного программного обеспечения. Например, у меня есть набор установщиков MacOS, в том числе для Mac OS X Snow Leopard, Mac OS X Mavericks, MacOS High Sierra, macOS Sierra, macOS Mojave и MacOS Catalina. Их можно использовать для создания загрузочных установщиков USB, восстановления систем, устранения неполадок, выполнения чистой установки различных версий системного программного обеспечения, выполнения обновлений до определенных выпусков системного программного обеспечения и для многих других целей. Если у вас есть аналогичный архив установщика, вероятно, самое время заменить эти установщики новыми версиями, срок действия которых не истек.

Вы сталкивались с сообщением об ошибке «Приложение повреждено и не может быть использовано для установки macOS» и исправили ли вы его, загрузив новый установочный пакет macOS? Вы нашли другое решение? Сообщите нам о своем опыте решения этой проблемы в комментариях ниже.

Похожие записи

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *